Documentation Index
Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt
Use this file to discover all available pages before exploring further.
0.01 credits per call
eth_feeHistory on Polygon: Returns historical fee market data over a range of blocks.
Endpoint
Authorization: Bearer <YOUR_GOLDRUSH_API_KEY>. See authentication.
Parameters
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
blockCount | QUANTITY | yes | Hex-encoded number of blocks to inspect (max 1024). | "0x4" |
newestBlock | QUANTITY | TAG | yes | Highest block to include. | "latest" |
rewardPercentiles | Array<Number> | no | Reward percentiles to compute. Empty array skips reward computation. | [25, 50, 75] |
Returns
Object: {oldestBlock, baseFeePerGas[], gasUsedRatio[], reward[][]}
Examples
Errors
Standard JSON-RPC errors:-32600 invalid request, -32601 method not found, -32602 invalid params.